Homey Community Forum

Plugwise Stretch op V5

Hoi allemaal,

Helaas is één van de apps die onder v5 niet meer werkt de oude Plugwise app voor de Stretch v2. Ik had eigenlijk verwacht dat deze wel aan SDKv2 zou voldoen maar helaas… Nu zit ik de komende tijd veel binnen dus heb ik tijd om wat te spelen met de code… De oude code staat op: GitHub - bvdbos/com.plugwise

Ik ben begonnen om Homey te definieren
const Homey = require('homey');

Daarna de class:
class Stretch extends Homey.Driver {
onInit() {... }
onPair ( socket ) {... socket.on("start", function (data, callback) {.... }); socket.on("authenticate", function (data, callback) {... }); socket.on("connect", function (password, callback) {... }); socket.on("list_devices", function (data, callback) {... }); socket.on("add_device", function (device, callback) {... }); } } module.exports = Stretch;

Is dit de goede manier om de app om te schrijven?

Daarna volgt nog :
module.exports.capabilities = {...}
en
module.exports.deleted = function (device) {...}

Hoe zou ik deze moeten verwerken? onCapabilities ? onDeleted ?

In app.js staat alleen
module.exports.init = () => { console.log(${Homey.manifest.id} running…); };

Ik neem aan dat die andere exports hier ook in moeten?